// **************************************************************************
// * This file is part of the FreeFileSync project. It is distributed under *
// * GNU General Public License: http://www.gnu.org/licenses/gpl.html       *
// * Copyright (C) 2008-2010 ZenJu (zhnmju123 AT gmx.de)                    *
// **************************************************************************
//
#ifndef RTS_PRECOMPILED_HEADER
#define RTS_PRECOMPILED_HEADER

//pay attention when using this file: might cause issues!
#ifndef __WXDEBUG__
do NOT use in release build!
#endif

//#####################################################
// basic wxWidgets headers
#ifndef WX_PRECOMP
#define WX_PRECOMP
#endif

#include <wx/wxprec.h>

//#####################################################
// #include other rarely changing headers here

//STL headers
#include <string>
#include <algorithm>
#include <vector>
#include <queue>
#include <stack>
#include <set>
#include <map>
#include <memory>
#include <fstream>

#ifdef FFS_LINUX
#include <utime.h>
#endif  //FFS_LINUX

//other wxWidgets headers
#include <wx/grid.h>
#include <wx/animate.h>
#include <wx/app.h>
#include <wx/arrstr.h>
#include <wx/bitmap.h>
#include <wx/bmpbuttn.h>
#include <wx/button.h>
#include <wx/checkbox.h>
#include <wx/choice.h>
#include <wx/clipbrd.h>
#include <wx/cmdline.h>
#include <wx/colour.h>
#include <wx/config.h>
#include <wx/dc.h>
#include <wx/dialog.h>
#include <wx/dir.h>
#include <wx/dnd.h>
#include <wx/file.h>
#include <wx/filename.h>
#include <wx/filepicker.h>
#include <wx/font.h>
#include <wx/frame.h>
#include <wx/gauge.h>
#include <wx/gdicmn.h>
#include <wx/grid.h>
#include <wx/hyperlink.h>
#include <wx/icon.h>
#include <wx/image.h>
#include <wx/intl.h>
#include <wx/log.h>
#include <wx/menu.h>
#include <wx/msgdlg.h>
#include <wx/panel.h>
#include <wx/radiobut.h>
#include <wx/settings.h>
#include <wx/sizer.h>
#include <wx/statbmp.h>
#include <wx/statbox.h>
#include <wx/statline.h>
#include <wx/stattext.h>
#include <wx/stdpaths.h>
#include <wx/stopwatch.h>
#include <wx/stream.h>
#include <wx/string.h>
#include <wx/textctrl.h>
#include <wx/thread.h>
#include <wx/utils.h>
#include <wx/wfstream.h>
#include <wx/zipstrm.h>
#include <wx/scrolwin.h>
#include <wx/notebook.h>

//other
#include "../shared/tinyxml/tinyxml.h"
#include <sys/stat.h>

#ifdef FFS_WIN
#include <wx/msw/wrapwin.h> //includes "windows.h"
#endif  //FFS_WIN
//#####################################################

#endif //RTS_PRECOMPILED_HEADER