// **************************************************************************
// * This file is part of the FreeFileSync project. It is distributed under *
// * GNU General Public License: http://www.gnu.org/licenses/gpl.html       *
// * Copyright (C) 2008-2010 ZenJu (zhnmju123 AT gmx.de)                    *
// **************************************************************************
//
#ifndef MOUSEMOVEWINDOW_H_INCLUDED
#define MOUSEMOVEWINDOW_H_INCLUDED

#include <wx/window.h>

namespace ffs3
{

//move main dialog by mouse-dragging contained sub-windows:
//----------------------------------------------------------------------------------------
//keep it as an attribute of the to-be-moved dialog and ensure that all connected source windows
//have a longer lifetime than the dialog which is moved (should be fulfilled naturally)
class MouseMoveWindow : private wxEvtHandler
{
public:
    MouseMoveWindow(wxWindow* dialogToMove) :
        dialogToMove_(dialogToMove) {}

    void connectSourceWindow(wxWindow* sourceWindow);

private:
    void LeftButtonDown(wxMouseEvent& event);

    wxWindow* dialogToMove_;
};

}


#endif // MOUSEMOVEWINDOW_H_INCLUDED
